Live Amazon Sellers Advanced

‌‌
This endpoint provides a list of sellers of the specified product on Amazon. The data provided for each seller includes related product condition, pricing, shipment, and rating details.
The results are specific to the selected location (see the List of Locations) and language (see the List of Languages) settings.

Note: before setting a task to this endpoint you need to receive the asin value. You can receive this value by making a separate request to the Amazon Products endpoint.

There are two different priorities that stand for the relative speed of task execution: normal and high.

checked POST
Pricing

Your account will be charged only for setting a task.
The cost can be calculated on the Pricing page.

All POST data should be sent in the JSON format (UTF-8 encoding). The task setting is done using the POST method. When setting a task, you should send all task parameters in the task array of the generic POST array. You can send up to 2000 API calls per minute, each Live SERP API call can contain only one task.

Below you will find a detailed description of the fields you can use for setting a task.

Description of the fields for setting a task:

Field nameTypeDescription
asinstring

unique product identifier on Amazon
required field
you can get this value making a separate request to the Amazon Products endpoint
note that there is no full list of possible values as the asin values is a dynamic value assigned by Amazon
example:
B085RFFC9Q
learn more about the identifier in this help center guide

location_namestring

full name of the location
required field if you don't specify location_code or location_coordinate
if you use this field, you don't need to specify location_code or location_coordinate
you can receive the list of available Amazon locations with their location_name by making a separate request to the https://api.dataforseo.com/v3/merchant/amazon/locations
example:
London,England,United Kingdom

location_codeinteger

location code
required field if you don't specify location_name or location_coordinate
if you use this field, you don't need to specify location_name or location_coordinate
you can receive the list of available Amazon locations with their location_code by making a separate request to the https://api.dataforseo.com/v3/merchant/amazon/locations
example:
2840

location_coordinatestring

GPS coordinates of a location
required field if you don't specify location_name or location_code
if you use this field, you don't need to specify location_name or location_code
location_coordinate parameter should be specified in the "latitude,longitude,radius" format
the maximum number of decimal digits for "latitude" and "longitude": 7
the minimum value for "radius": 199.9
example:
53.476225,-2.243572,200

language_namestring

full name of the language
required field if you don't specify language_code
if you use this field, you don't need to specify language_code
you can receive the list of available Amazon languages with their language_name by making a separate request to the https://api.dataforseo.com/v3/merchant/amazon/languages
example:
English (United States)

language_codestring

language code
required field if you don't specify language_name
if you use this field, you don't need to specify language_name
you can receive the list of available Amazon languages with their language_code by making a separate request to the https://api.dataforseo.com/v3/merchant/amazon/languages
example:
en_US

se_domainstring

search engine domain
optional field
we choose the relevant search engine domain automatically according to the location and language you specify
however, you can set a custom search engine domain in this field
example:
amazon.co.uk, amazon.com.au, amazon.de, etc.

tagstring

user-defined task identifier
optional field
the character limit is 255
you can use this parameter to identify the task and match it with the result
you will find the specified tag value in the data object of the response


‌‌‌‌‌
As a response of the API server, you will receive JSON-encoded data containing a tasks array with the information specific to the set tasks.

Description of the fields in the results array:

Field nameTypeDescription
versionstring

the current version of the API

status_codeinteger

general status code
you can find the full list of the response codes here
Note: we strongly recommend designing a necessary system for handling related exceptional or error conditions

status_messagestring

general informational message
you can find the full list of general informational messages here

timestring

execution time, seconds

costfloat

total tasks cost, USD

tasks_countinteger

the number of tasks in the tasks array

tasks_errorinteger

the number of tasks in the tasks array that were returned an error

tasksarray

array of tasks

    idstring

task identifier
unique task identifier in our system in the UUID format

    status_codeinteger

status code of the task
generated by DataForSEO; can be within the following range: 10000-60000
you can find the full list of the response codes here

    status_messagestring

informational message of the task
you can find the full list of general informational messages here

    timestring

execution time, seconds

    costfloat

cost of the task, USD

    result_countinteger

number of elements in the result array

    patharray

URL path

    dataobject

contains the same parameters that you specified in the POST request

    resultarray

array of results

        asinstring

asin received in a POST array
learn more about ASINs in this help center guide

        typestring

search engine type
possible values: sellers_list

        se_domainstring

search engine domain received in a POST array

        location_codeinteger

location code received in a POST array

        language_codestring

language code received in a POST array

        check_urlstring

direct URL to Amazon results
you can use it to make sure the provided results are accurate

        datetimestring

date and time when the result was received
in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”
example:
2019-11-15 12:57:46 +00:00

        titlestring

product title
title of the product relevant to the asin received in a POST array

        imagestring

product image url
image URL of the product relevant to the asin received in a POST array

        item_typesarray

types of search results found in Amazon Sellers SERP
contains types of all search results (items) found in the returned SERP
possible item types:
amazon_seller_main_item, amazon_seller_item

        items_countinteger

the number of results returned in the items array

        itemsarray

items in SERP

        amazon_seller_main_itemobject
            typestring

type of item = 'amazon_seller_main_item'

            rank_groupinteger

position within a group of elements with identical type values
positions of elements with different type values are omitted from rank_group

            rank_absoluteinteger

absolute rank in SERP
absolute position among all the elements found in Amazon Sellers SERP

            positionstring

alignment of the element in SERP
possible values:
left, right

            xpathstring

XPath of the element

            seller_namestring

business name of the seller

            seller_urlstring

url forwarding to the seller's page on Amazon

            ships_fromstring

sender company name

            priceobject

product pricing details
if there are no details, the value will be null

                currentfloat

current product price with discount

                regularfloat

regular product price without discount

                max_valuefloat

maximal displayed price of the product

                currencystring

currency in the ISO format
example:
USD

                is_price_rangeboolean

price is displayed as a range
indicates whether the price is displayed as a range

                displayed_pricestring

price as displayed in SERP
price line provided as displayed in Amazon listing

            percentage_discountfloat

value of the percentage discount

            applicable_vouchersarray

array of objects containing information about applicable vouchers

                typestring

item type
possible values: amazon_applicable_vouchers_item

                textstring

text of the voucher

                fixed_discountfloat

value of the fixed discount

                fixed_discount_currencystring

currency code of the fixed discount

                percentage_discountfloat

value of the percentage discount
if the discount is fixed, the value will be null

                important_detailsstring

important details about the terms of discount vouchers

            ratingobject

seller rating details
seller popularity rate based on customer reviews

                typestring

type of element = 'rating_element'

                rating_typestring

the type of rating
here you can find the following elements: Max5

                valuestring

the value of the rating

                votes_countinteger

the amount of feedback

                rating_maxinteger

the maximum value for a rating_type

            conditionstring

product condition
condition of the product offered by the seller

            condition_descriptionstring

product condition details
expanded details on the condition of the product offered by the seller

            delivery_infoobject

delivery information
delivery information including free and fast delivery date ranges

                delivery_date_fromstring

earliest delivery date
the earliest date when the product can be shipped

                delivery_date_tostring

latest delivery date
the latest date when the product can be delivered

                fastest_delivery_date_fromstring

earliest free delivery date
the earliest date when the product can be delivered with a fast delivery option

                fastest_delivery_date_tostring

latest free delivery date
the latest date when the product can be delivered with a fast delivery option

                delivery_messagestring

delivery information
message accompanying the delivery information as posted by the seller

                delivery_priceobject

price for the delivery
price of the delivery based on the location you specified in the POST request;
if free delivery is available, the value is null

                    currentfloat

current delivery price

                    regularfloat

regular undiscounted delivery price

                    max_valuefloat

maximum undiscounted delivery price

                    currencystring

currency in the ISO format

                    is_price_rangeboolean

indicates whether the delivary price is a range

                    displayed_pricestring

price line provided as displayed in Amazon listing

        amazon_seller_itemobject
            typestring

type of item = 'amazon_seller_item'

            rank_groupinteger

position within a group of elements with identical type values
positions of elements with different type values are omitted from rank_group

            rank_absoluteinteger

absolute rank in SERP
absolute position among all the elements found in Amazon Sellers SERP

            positionstring

alignment of the element in SERP
can take the following values:
left, right

            xpathstring

XPath of the element

            seller_namestring

business name of the seller

            seller_urlstring

url forwarding to the seller's page on Amazon

            ships_fromstring

sender company name

            priceobject

product pricing details
if there are no details, the value will be null

                currentfloat

current product price with discount

                regularfloat

regular product price without discount

                max_valuefloat

maximal displayed price of the product

                currencystring

currency in the ISO format
example:
USD

                is_price_rangeboolean

price is displayed as a range
indicates whether the price is displayed as a range

                displayed_pricestring

price as displayed in SERP
price line provided as displayed in Amazon listing

            percentage_discountfloat

value of the percentage discount

            applicable_vouchersarray

array of objects containing information about applicable vouchers

                typestring

item type
possible values: amazon_applicable_vouchers_item

                textstring

text of the voucher

                fixed_discountfloat

value of the fixed discount

                fixed_discount_currencystring

currency code of the fixed discount

                percentage_discountfloat

value of the percentage discount
if the discount is fixed, the value will be null

                important_detailsstring

important details about the terms of discount vouchers

            ratingobject

seller rating details
seller popularity rate based on customer reviews

                typestring

type of element = 'rating_element'

                rating_typestring

the type of rating
here you can find the following elements: Max5

                valuestring

the value of the rating

                votes_countinteger

the amount of feedback

                rating_maxinteger

the maximum value for a rating_type

            conditionstring

product condition
condition of the product offered by the seller

            condition_descriptionstring

product condition details
expanded details on the condition of the product offered by the seller

            delivery_infoobject

delivery information
delivery information including free and fast delivery date ranges

                delivery_date_fromstring

earliest delivery date
the earliest date when the product can be shipped

                delivery_date_tostring

latest delivery date
the latest date when the product can be delivered

                fastest_delivery_date_fromstring

earliest free delivery date
the earliest date when the product can be delivered with a fast delivery option

                fastest_delivery_date_tostring

latest free delivery date
the latest date when the product can be delivered with a fast delivery option

                delivery_messagestring

delivery information
message accompanying the delivery information as posted by the seller

                delivery_priceobject

price for the delivery
price of the delivery based on the location you specified in the POST request;
if free delivery is available, the value is null

                    currentfloat

current delivery price

                    regularfloat

regular undiscounted delivery price

                    max_valuefloat

maximum undiscounted delivery price

                    currencystring

currency in the ISO format

                    is_price_rangeboolean

indicates whether the delivary price is a range

                    displayed_pricestring

price line provided as displayed in Amazon listing

‌‌

Instead of ‘login’ and ‘password’ use your credentials from https://app.dataforseo.com/api-access

# Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
login="login"
password="password"
cred="$(printf ${login}:${password} | base64)"
curl --location --request POST "https://api.dataforseo.com/v3/merchant/amazon/sellers/live/advanced"
--header "Authorization: Basic ${cred}"
--header "Content-Type: application/json"
--data-raw '[
    {
        "language_code": "en_US",
        "location_code": 2840,
        "asin": "B07D528W98"
    }
]'
<?php
// You can download this file from here https://cdn.dataforseo.com/v3/examples/php/php_RestClient.zip
require('RestClient.php');
$api_url = 'https://api.dataforseo.com/';
try {
    // Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
    $client = new RestClient($api_url, null, 'login', 'password');
} catch (RestClientException $e) {
    echo "n";
    print "HTTP code: {$e->getHttpCode()}n";
    print "Error code: {$e->getCode()}n";
    print "Message: {$e->getMessage()}n";
    print  $e->getTraceAsString();
    echo "n";
    exit();
}
$post_array = array();
// You can set only one task at a time
$post_array[] = array(
    "location_name" => "United States",
    "language_name" => "English (United States)",
    "asin" => "B085RFFC9Q"
);
try {
    // POST /v3/merchant/amazon/sellers/live/advanced
    // in addition to 'amazon' and 'sellers' you can also set other search engine and type parameters
    // the full list of possible parameters is available in documentation
    $result = $client->post('/v3/merchant/amazon/sellers/live/advanced', $post_array);
    print_r($result);
    // do something with post result
} catch (RestClientException $e) {
    echo "n";
    print "HTTP code: {$e->getHttpCode()}n";
    print "Error code: {$e->getCode()}n";
    print "Message: {$e->getMessage()}n";
    print  $e->getTraceAsString();
    echo "n";
}
$client = null;
?>
const axios = require('axios');

axios({
    method: 'post',
    url: 'https://api.dataforseo.com/v3/merchant/amazon/selers/live/advanced',
    auth: {
        username: 'login',
        password: 'password'
    },
    data: [{
        "asin": "B085RFFC9Q",
        "language_code": "en",
        "location_code": 2840
    }],
    headers: {
        'content-type': 'application/json'
    }
}).then(function (response) {
    var result = response['data']['tasks'];
    // Result data
    console.log(result);
}).catch(function (error) {
    console.log(error);
});
from client import RestClient
# You can download this file from here https://cdn.dataforseo.com/v3/examples/python/python_Client.zip
client = RestClient("login", "password")
post_data = dict()
# You can set only one task at a time
post_data[len(post_data)] = dict(
    location_name="United States",
    language_name="English (United States)",
    asin="B085RFFC9Q"
)
# POST /v3/merchant/amazon/sellers/live/advanced
# in addition to 'amazon' and 'sellers' you can also set other search engine and type parameters
# the full list of possible parameters is available in documentation
response = client.post("/v3/merchant/amazon/sellers/live/advanced", post_data)
# you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
if response["status_code"] == 20000:
print(response)
# do something with result
else:
print("error. Code: %d Message: %s" % (response["status_code"], response["status_message"]))
using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Net.Http;
using System.Threading.Tasks;

namespace DataForSeoDemos
{
    public static partial class Demos
    {
        public static async Task merchant_amazon_sellers_live_advanced()
        {
            var httpClient = new HttpClient
            {
                BaseAddress = new Uri("https://api.dataforseo.com/"),
                // Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
                //DefaultRequestHeaders = { Authorization = new AuthenticationHeaderValue("Basic", Convert.ToBase64String(Encoding.ASCII.GetBytes("login:password"))) }
            };
            var postData = new List<object>();
            // You can set only one task at a time
            postData.Add(new
            {
                language_code = "en",
                location_code = 2840,
                asin = "B085RFFC9Q"
            });
            // POST /v3/merchant/amazon/sellers/live/advanced
            // in addition to 'amazon' and 'sellers' you can also set other search engine and type parameters
            // the full list of possible parameters is available in documentation
            var taskPostResponse = await httpClient.PostAsync("/v3/merchant/amazon/sellers/live/advanced", new StringContent(JsonConvert.SerializeObject(postData)));
            var result = JsonConvert.DeserializeObject<dynamic>(await taskPostResponse.Content.ReadAsStringAsync());
            // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
            if (result.status_code == 20000)
            {
                // do something with result
                Console.WriteLine(result);
            }
            else
                Console.WriteLine($"error. Code: {result.status_code} Message: {result.status_message}");
        }
    }
}

The above command returns JSON structured like this:

{
  "version": "0.1.20260520",
  "status_code": 20000,
  "status_message": "Ok.",
  "time": "17.0991 sec.",
  "cost": 0.0033,
  "tasks_count": 1,
  "tasks_error": 0,
  "tasks": [
    {
      "id": "05211340-8284-0646-0000-6160d9fdcf5d",
      "status_code": 20000,
      "status_message": "Ok.",
      "time": "17.0430 sec.",
      "cost": 0.0033,
      "result_count": 1,
      "path": [
        "v3",
        "merchant",
        "amazon",
        "sellers",
        "live",
        "advanced"
      ],
      "data": {
        "api": "merchant",
        "function": "sellers",
        "se": "amazon",
        "language_code": "en_US",
        "location_code": 2840,
        "asin": "B07D528W98",
        "se_type": "sellers",
        "device": "desktop",
        "os": "windows"
      },
      "result": [
        {
          "asin": "B07D528W98",
          "type": "sellers_list",
          "se_domain": "amazon.com",
          "location_code": 2840,
          "language_code": "en_US",
          "check_url": "https://www.amazon.com/dp/B07D528W98/ref=olp_aod_redir_impl1?_encoding=UTF8&aod=1",
          "datetime": "2026-05-21 10:40:30 +00:00",
          "title": "YOSUDA Exercise Bike, Brake Pad Stationary Bike for Home with Exclusive App, Magnetic Indoor Cycling Bike with 300 lb Weight Capacity, Low Noise, Tablet Holder and Fitness Courses for Weight Loss",
          "image": "https://m.media-amazon.com/images/I/41-fFNxo9ML.jpg",
          "item_types": [
            "amazon_seller_main_item"
          ],
          "items_count": 1,
          "items": [
            {
              "type": "amazon_seller_main_item",
              "rank_group": 1,
              "rank_absolute": 1,
              "position": "left",
              "xpath": "/#document",
              "seller_name": "MASOU",
              "seller_url": "http://amazon.com/gp/aag/main?ie=UTF8&seller=A2XS9KO5PUQHMV&isAmazonFulfilled=0&asin=B07D528W98&ref_=olp_merch_name_0",
              "ships_from": "MASOU",
              "price": {
                "current": 239.99,
                "regular": null,
                "max_value": null,
                "currency": "USD",
                "is_price_range": false,
                "displayed_price": "$239.99"
              },
              "percentage_discount": null,
              "applicable_vouchers": null,
              "rating": {
                "type": "rating_element",
                "position": "left",
                "rating_type": "Max5",
                "value": 4.4,
                "votes_count": 25002,
                "rating_max": 5
              },
              "condition": null,
              "condition_description": null,
              "delivery_info": {
                "delivery_date_from": "2026-05-27T00:00:00+00:00",
                "delivery_date_to": "2026-05-29T00:00:00+00:00",
                "fastest_delivery_date_from": null,
                "fastest_delivery_date_to": null,
                "delivery_message": "FREE delivery May 27 - 29. Details",
                "delivery_price": null
              }
            }
          ]
        }
      ]
    }
  ]
}